#include "MOSDemo.h"

myWidget::myWidget()
{
	layout = new QVBoxLayout(this);

	propNameLineEdit = new QLineEdit(this);
	propValLineEdit = new QLineEdit(this);

	setPropPushButton = new QPushButton("Set Property",this);

	layout->addWidget(propNameLineEdit);
	layout->addWidget(propValLineEdit);
	layout->addWidget(setPropPushButton);
	this->setLayout(layout);

   QObject::connect ( setPropPushButton, SIGNAL(clicked()), this, SLOT(setProp())) ;
}

myWidget::~myWidget()
{
	delete propNameLineEdit;
	delete propValLineEdit;
	delete setPropPushButton;
	delete layout;
}


void myWidget::setProp()
{
	qWarning("Set Prop");
    this->setProperty ( propNameLineEdit->text().toAscii().data(),
					QVariant(propValLineEdit->text()));
              
}

